--- title: "How to: Create an Unqork Connector Using the Integration Gateway" slug: "how-to-create-an-unqork-connector-using-the-integration-gateway" updated: 2025-09-25T20:48:27Z published: 2025-09-25T20:48:27Z canonical: "docs.unqork.io/how-to-create-an-unqork-connector-using-the-integration-gateway" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.unqork.io/llms.txt > Use this file to discover all available pages before exploring further. # How to: Create an Unqork Connector Using the Integration Gateway ## Overview The Integration Gateway accelerates digital transformations by easily integrating with over 700 systems across enterprise applications and databases, including the Unqork API. This how-to guide provides you an example on how to configure the Unqork **Get workspace application by workspace Id & application id** endpoint using the Integration Gateway. After configuring the endpoint, you'll setup a [Plug-In](/v1/docs/plug-in-component) component to call it. > [!TIP] > To learn more about the Integration Gateway, view our [Integration Administration](/v1/docs/adm-intro-integration-administration) article. ## Creating an Integration Using Integration Gateway A few steps are involved when creating connections and recipes and running them: 1. **Create a connection**: First, you must connect to your Unqork environment to make API calls using the Integration Gateway. This process requires an account and authorization credentials for access to the Unqork API. 2. **Create a recipe**: Recipes are workflow-like steps that perform actions. Recipes have many advanced features that can handle all application integrations and workflow automation scenarios, including conditional triggers, actions, and so on. 3. **Define an endpoint for a recipe**: To make an API call to the Unqork service in your [applications](/v1/docs/introduction-to-unqork-applications), you must establish an endpoint. You'll use this endpoint to make the call in a [Plug-In](/v1/docs/plug-in-component) component. 4. **Configure a Plug-In component**: Set up a [Plug-In](/v1/docs/plug-in-component) component to call your recipe's endpoint and perform the recipe's actions. ## What You Need - 1 [Set of Unqork API Access Credentials](/v1/docs/api-access-management) - 1 [Integration Gateway recipe](/v1/docs/how-to-create-connections-and-recipes-using-the-integration-gateway) - 1 [Integration Gateway connection](/v1/docs/how-to-create-connections-and-recipes-using-the-integration-gateway) - 1 [Integration Gateway endpoint](/v1/docs/how-to-create-connections-and-recipes-using-the-integration-gateway) - 1 [Workspace](/v1/docs/introduction-to-workspaces) - 1 [Module-type application](/v1/docs/working-with-module-type-apps) - 1 [Module](/v1/docs/introduction-to-the-module-builder) ## Create a Connection The first step when creating your Unqork recipe is generating Unqork Access Credentials using the [API Access Management](/v1/docs/api-access-management) page. Then, you'll use the credentials to set up the Unqork connection in the Integration Gateway. > [!WARNING] > You must have an Unqork Administrator account to create access credentials. ### Generate Unqork Access Credentials This example connects the Unqork API to the Integration Administration recipe. To grant the recipe access to the Unqork API for your environment, create a Creator Access Credential in [API Access Management](/v1/docs/api-access-management). You'll insert these credentials into the recipe in the next section. 1. At the top right of the Unqork Designer Platform, click **Settings ▾**. 2. Select **Administration**. 3. Under Integration, click **API Access Management**. 4. On the **API Access Management** page, click **+ Create New ▾**. 5. Select **Creator Access Credential**. The Create New Creator Access Credential displays. 6. In the **Name*** field, enter a unique name for the credential. 7. (Optional) In the **Description** field, enter a short explanation for how the access credential is used. 8. From the **Select Creator Role(s)*** drop-down, select the level of access the Custom Connector will use. For this how-to guide, select **Administrator**. 9. Click **Generate Credential**. The Client ID & Secret modal displays. 10. Copy the **Client ID** and **Client Secret** field values to a secure location. You'll use the Client ID and Client Secret values in a later step. > [!WARNING] > To maintain security, do not share credentials with other users. ### Configure Your Unqork Connection Access Unqork's [Integration Administration](/v1/docs/adm-intro-integration-administration) page to configure the Unqork connection using the Integration Gateway. To access the Integration Administration page: 1. At the top right of the Unqork Designer Platform, click **Settings ▾**. 2. Select **Administration**. 3. Under Integration, click **Integration Administration**. Now, use the Integration Gateway to create an Unqork connection. 1. Open your Integration Gateway project. 2. Click **Create ▾**. 3. Select **Connection**. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/IntGateway_Get_SelectConnect_thumb_0_0(1).jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 4. Search for and select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(52).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Unqork Customer API** connection tile. 5. In the **Connection Name******* field, enter a unique name for your connection. 6. In the **Host*** field, enter your environment address. For example, `https://training.unqork.io/.` ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/connector_Connection_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 7. In the **Client ID*** field, enter the value recorded during the [Generate Unqork Access Credentials](/v1/docs/how-to-retrieve-a-payload-using-an-unqork-connector#generate-unqork-access-credentials) steps. 8. In the **Client Secret*** field, enter the value recorded during the [Generate Unqork Access Credentials](/v1/docs/how-to-retrieve-a-payload-using-an-unqork-connector#generate-unqork-access-credentials) steps. 9. Click **Connect**. The Connection Status changes to ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/connected(1).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Connected**. Your connection is now established and active for use in your recipe. Next, you'll review how to create your recipe. ## Create a Recipe Recipes let you integrate your connections, set up triggers, and determine the actions and events you want to occur. For this how-to guide, you'll configure a recipe to retrieve specified Workspace Application fields from Unqork. To create a recipe and designate a starting point: 1. Open the Unqork project. 2. Click **Create ▾**. 3. Select Recipe. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/IntGateway_Get_SelectRecipe_thumb_0_0(1).jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) #### Configure a Starting Point First, you must configure the starting point, or trigger, for your recipe. With the recipe page now open, configure the following fields: 1. In the **Name** field, enter a unique name for the recipe. For example, {{teamName}} - Get Workspace Application. 2. From the **Location*** drop-down, specify the project. 3. From the **Pick a starting point*** list, select ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(68).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Trigger from an App**. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/recipeStartingPoint_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 4. Click **Start Building**. The recipe page loads. ### Configure the Trigger 1. On the Recipe Canvas, under **TRIGGER**, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(53).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Select an App and Trigger Event** button. A configuration panel displays all your connected apps at the right of the page. 2. Under ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(55).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Choose an App**, in the search field, enter API to filter the list. 3. Select ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(56).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **API Platform by Workato**. The **TRIGGER** step changes to ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(57).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **New** API request Real-time. ### Configure the First Action 1. Under **ACTIONS**, click the + **(Add Step)** button. A list of actions displays. 2. Click ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(58).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) Action in App. The configuration panel displays. 3. Under ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(59).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Choose an App**, search for and select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(60).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Unqork Customer API** tile. The configuration panel navigates to the **Action** step. 4. Under ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(61).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Choose an Action**, search for and select **Get workspace application by workspace Id & application id**. The configuration panel navigates to the **Connection** step. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/selectEndPoint_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) #### Connect to the Unqork Customer API Select the connection set up in the [Configure Your Unqork Connection](/v1/docs/how-to-retrieve-a-payload-using-an-unqork-connector#configure-your-unqork-connection) section. Doing so adds the Access Credentials to your API Request. 1. In the **Connection** step, search for and select the Unqork Connection created in the [Configure Your Unqork Connection](/v1/docs/how-to-retrieve-a-payload-using-an-unqork-connector#configure-your-unqork-connection) section. 2. Click **Connect**. The configuration panel navigates to the **Setup** step. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/connectAPI_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) #### Pass the moduleId Field to the Endpoint Because you're retrieving a module's submissions using its module ID, you must map it from the **TRIGGER** step to the **ACTIONS** **Setup** step. Mapping this field lets you to pass the module ID value to the endpoint from inside a module. 1. Select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/intAdmin_API.png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **New** API request Real-time **TRIGGER** step. The configuration panel displays. 2. On the **Setup** pane, navigate to the **Request Schema** section. 3. Click **Add fields manually**. The Add New Field modal displays. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/requestSchemaAccess_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 4. In the **Name*** and **Label*** fields, enter `workspaceIdIntegrationGateway`. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/requestSchemaNewField_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 5. Click **Add Field**. The field displays under the **Request Schema** section. 6. Click +Add Field. The **Add New Field** modal displays. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/requestSchemaAddField_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 7. In the **Name*** and **Label*** fields, enter `applicationIdIntegrationGateway`. 8. Click **Add Field**. The field displays under the **Request Schema** section. 9. Select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(62).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Get workspace application by Id & application id** in Unqork Customer API step and return to the **Setup** section. 10. Click the **workspaceId*** field, the Recipe Data modal expands. 11. In the Recipe Data modal, navigate to the **Request Parameters** section. 12. Drag and drop the `workspaceIdIntegrationGateway` datapill into the **workspaceId*** field. 13. Drag and drop the `applicationIdIntegrationGateway` datapill into the **applicationId*** field. [Video](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/recipeDataAdd.webm?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) ### Create the API Response The third step in the recipe sets the response to Text/XML, and specifies what HTTP status code to display when retrieving data from the endpoint successfully. 1. Under **ACTIONS**, click the + **(Add Step)** button. A list of actions displays. 2. Click ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(58).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) Action in App. The configuration panel displays. 3. Under ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(59).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Choose an App**, search for and select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(57).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **API Platform by Workato** tile. This step changes the action to RETURN **API Response** and the configuration panel navigates to the **Setup** step. 4. Return to and select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(57).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **New** API request Real-time **TRIGGER** step. 5. From the right-menu, scroll to the **Response*** section. 6. Click Add Response. 7. In **Name** field of the **Response #1** box, enter `response`. 8. From the **HTTP status code*** drop-down, select **200 - OK**. Whenever the API successfully returns the response values, this status code displays. > [!TIP] > To learn more about response codes, view our [HTTP Status Codes](/v1/docs/http-status-codes) article. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/apiResponseSetup_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) #### Add the Response Schema Use the Response schema fields to return specific values from the **Get workspace application by workspace Id & application id** endpoint. For this example, use Unqork's API documentation to find and copy the JSON definition. 1. Under Response Schema, select Use JSON. The Generate Schema modal displays. 2. Open a new browser tab and navigate to your Unqork environment's API documentation. For example, `https://training.unqork.io/#/apidocs`. 3. In the Search Bar, search for and select **Get workspace application by workspace Id & application id**. The page displays the endpoint and response samples. 4. Under **Response Samples**, click **Copy**. The JSON definition copies to your clipboard. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/apiDocsCopy_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 5. Return to the Generate Schema modal and paste the clipboard data into the JSON Sample code box. 6. Click **Next**. The **Review Data** section displays the JSON definition for review. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/apiReponseReview_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 7. Click **Generate Schema**. The modal closes, and the JSON definition's fields are added to the **New** API request Real-time **TRIGGER** step's **Response Schema** box, and to the Recipe Data modal. #### Set the Settings and Promotions Fields to Optional For this example, not all fields from the JSON definition are required. Edit the Response Schema to remove the `promotions` and `settings` fields. 1. Under **Responses*** in the **Response Schema** box, navigate to and mouse-over the **Promotions*** field. 2. Click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/icon_pencil.png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **(Edit)** button. The Edit Field modal displays. 3. From the **Optional*** drop-down, select **Yes**. 4. Click **Save**. The Promotions field no longer displays the * **(Required)** symbol. 5. Repeat this process for the **Settings*** field. #### Pass the JSON Fields to the API Response Step Now that your Recipe has a Response schema, add the response fields to the API Response's Setup step. 1. Select the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/image(57).png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) RETURN **API Response** step. The configuration menu displays the **Setup** settings. 2. From the **Response*** drop-down, select **response**. The **Response body*** box displays below. 3. Select the **Created*** field. The Recipe Data modal expands. 4. From the Recipe Data modal, under **Payload**, select the Created datapill and drag it onto the Response Body's **Created*** field. 5. Repeat this process by matching the Payload to the rest of the fields: `Created by,` `Description,` `ID,` `Modified, Modified By,` `Name,` `Title,` `Type,` `Workspace ID`. 6. At the top of the panel, click **Save**. 7. At the top right of the panel, click **x Exit**. 8. Click **Start Recipe**. The recipe is now running and ready for use in Unqork. The final step in the Integration Gateway is to create an endpoint for the recipe. ### Configure Your Endpoint In order to use your recipe in a [Plug-In](/v1/docs/plug-in-component) component, you must create an endpoint in the Integration Gateway. Once created, it displays in the Plug-In component's **External Services** drop-down. To configure your endpoint: 1. At the top left of the Recipe Builder, click the **API Platform** tab. 2. From the **API Collections** panel, select an existing API Recipe collection. 3. Click **+ New Endpoint**. The Add New Endpoint modal displays. 4. From the **Recipe*** drop-down, search for and select your recipe's name. 5. From the **HTTP Method*** drop-down, select the method to use for this endpoint. In this case, leave it as the default **GET**. 6. In the **Endpoint Name*** field, enter a unique name for this endpoint. For example, `Get Workspace Application`. This value displays in the Plug-In component's External Services setting. 7. In the **Endpoint Path*** field, enter a unique path for your endpoint. For example, `getWorkspaceApplication`. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/addEndPoint_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 8. Click **Add Endpoint**. You return to the API Platform page and the new endpoint tile displays at the top of the page. 9. On the endpoint tile, click the **··· (options)** button. 10. Select Activate Endpoint. The endpoint's status changes from Never Active to Active. You endpoint is now active, so you can select it in a Plug-In component. ## Configuration The last step of the process is to configure a module to retrieve Unqork application data using the endpoint. These instructions assume you have a module saved with a title. ### Configure the Text Field Components Configure two [Text Field](/v1/docs/text-field-component) components for entering the Workspace ID and Application IDs. These values input into the Plug-In component. 1. In the Module Builder, drag and drop two **T****ext Field** component onto the canvas. 2. In the Property ID and Canvas Label Text fields, enter the following: | Property ID | **Label Text** | | --- | --- | | **textWorkspaceId** | Workspace ID | | **textApplicationId** | Application ID | 3. Click **Save & Close** for each component as you complete it. ### Configure the Plug-In Component Add a [Plug-In](/v1/docs/plug-in-component) component to use your new Integration Gateway endpoint and retrieve your workspace application. 1. Drag and drop a ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Screenshot 2025-09-11 151123.png?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) **Plug-In** component onto your canvas, placing it below the **textApplicationId** **T****ext Field** component. 2. In the Property ID and Canvas Label Text fields, enter `plugGetWorkspaceApplicationByIds`. 3. Under Data, set the **Service Type** to External. 4. From the **External Services** drop-down, select the endpoint you created. > [!NOTE] > On selection, the Data Source URL and Request Type automatically populate. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/pluginExternalService_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) 5. In the **INPUTS** table, enter the following: | Property ID | Mapping | | --- | --- | | textWorkspaceId | workspaceIdIntegrationGateway | | textApplicationId | applicationIdIntegrationGateway | 6. Click Save. ### Configure the Button Component Next, add a [Button](/v1/docs/button-component) component to trigger the Plug-In component. 1. Drag and drop a **Button** component onto the canvas, placing it below your Plug-In component. 2. In the Property ID field, enter **btnGetWorkspaceApplication**. 3. In the Canvas Label Text field, enter `Get Workspace Application`. 4. Set the **Action Type** to **Event**. 5. In the **Trigger** field, enter `plugGetWorkspaceApplicationByIds`. 6. Click **Save & Close**. 7. **Save** your module. ### View the API Response In Console Now that you've built your endpoint and created a module that can call it, verify the endpoint works correctly. 1. **Preview** your module in Express View. 2. In the **Workspace ID** and **Application ID** fields, enter a workspace and application ID from your environment. 3. Click the **Get** **Module** **Submissions** button. 4. In the DevTools Console, use the [Angular Command](/v1/docs/access-submission-data-using-the-devtools-console) to inspect the submission data. The Plug-In retrieves the payload specified in the [Pass the JSON Fields to the API Response](/v1/docs/how-to-retrieve-a-payload-using-an-unqork-connector#pass-and-convert-the-texthtml-body-to-the-api-response-step) step. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/submissionData_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-08T03%3A56%3A53Z&se=2026-11-08T04%3A56%3A53Z&sr=c&sp=r&sig=Sc%2FkgXaQ1Ob2O4wSEgYh1nq34pCZj35BuLyk777RBk4%3D) ## Resources - [Learn more about APIs.](/v1/docs/apis-connecting-your-apps) - [Learn how APIs work](/v1/docs/how-do-apis-work). - [Integration Administration](/v1/docs/adm-intro-integration-administration). - [How to: Create On-Prem Groups Using the Integration Gateway](/v1/docs/how-to-create-on-prem-agents-using-the-integration-gateway). - [How to: Promote Recipes Using the Integration Gateway](/v1/docs/how-to-promote-recipes-using-the-integration-gateway). - [How to: Get Salesforce Contact Records](/v1/docs/how-to-get-salesforce-contact-records). - [How to: Create Salesforce Contact Records](/v1/docs/how-to-create-salesforce-contact-records). APIs (application programming interfaces) are a set of protocols and definitions developers use to build and integrate application software. APIs act as the connective tissue between products and services. Datapills are output data from a trigger or an action step. They are variables that you can use to map business logic into recipe steps. A place on your operating system that stores recently copied content. The clipboard only stores one item at a time. A Property ID is the unique field ID used by Unqork to track and link components in your module. Canvas Label Text indicates the purpose of the corresponding field or component. For non-input components, the Canvas Label Text isn't end-user facing, and only appears in the . Express View is how your end-user views your application. Express View also lets you preview your applications to test your configuration and view the styling. This is also the view your end-users will see when interacting with your application. After configuring a module, click Preview in the Module Builder to interact with the module in Express View. The DevTools Console helps you securely store, build, test, and deploy your software.